=== docs/requirements.txt ===
furo
sphinx>=4.3.0
sphinx-copybutton
sphinx-jsonschema
sphinx-prompt
pathlib
sphinx-rtd-theme>=0.5.1
