=== src/CMakeLists.txt ===
include(CheckTypeSize)
include(CheckIncludeFile)
include(CheckLibraryExists)
include(CheckFunctionExists)

check_type_size(off_t SIZEOF_OFF_T)

check_include_file("pty.h" HAVE_PTY_H)
check_include_file("util.h" HAVE_UTIL_H)
check_include_file("execinfo.h" HAVE_EXECINFO_H)

set(VCS_PACKAGE_STRING "lnav ${CMAKE_PROJECT_VERSION}")
set(PACKAGE_VERSION "${CMAKE_PROJECT_VERSION}")

configure_file(config.cmake.h.in config.h)

add_subdirectory(base)
add_subdirectory(pcrepp)
add_subdirectory(remote)
add_subdirectory(tailer)
add_subdirectory(formats/logfmt)
add_subdirectory(yajl)
add_subdirectory(yajlpp)

add_executable(bin2c bin2c.hh ../tools/bin2c.c)
target_link_libraries(bin2c ZLIB::ZLIB)

add_executable(ptimec ptimec.hh ptimec.c)

set(TIME_FORMATS
        "@%@"
        "%Y-%m-%d %H:%M:%S.%f%z"
        "%Y-%m-%d %H:%M:%S,%f%z"
        "%Y-%m-%d %H:%M:%S.%f %Z"
        "%Y-%m-%d %H:%M:%S,%f %Z"
        "%Y-%m-%d %H:%M:%S,%L%z"
        "%Y-%m-%d %H:%M:%S,%L %z"
        "%Y-%m-%d %H:%M:%S.%L%z"
        "%Y-%m-%d %H:%M:%S.%L %z"
        "%Y-%m-%d %H:%M:%S.%L %Z"
        "%Y-%m-%d %H:%M:%S,%L"
        "%Y-%m-%d %H:%M:%S.%L"
        "%Y-%m-%d %H:%M:%S%z"
        "%Y-%m-%d %H:%M:%S %Z"
        "%Y-%m-%d %H:%M:%S %z"
        "%Y-%m-%d %H:%M:%S:%L"
        "%Y-%m-%d %H:%M:%S"
        "%Y-%m-%d %H:%M"
        "%Y-%jT%H:%M:%S %p %Z"
        "%Y-%m-%dT%H:%M:%S %p %Z"
        "%Y-%jT%H:%M:%S.%N%z"
        "%Y-%m-%dT%H:%M:%S.%N%z"
        "%y-%m-%dT%H:%M:%S.%N%z"
        "%Y-%jT%H:%M:%S.%f%z"
        "%Y-%m-%dT%H:%M:%S.%f%z"
        "%y-%m-%dT%H:%M:%S.%f%z"
        "%Y-%jT%H:%M:%S.%L%z"
        "%Y-%m-%dT%H:%M:%S.%L%z"
        "%y-%m-%dT%H:%M:%S.%L%z"
        "%Y-%jT%H:%M:%S.%L%Z"
        "%Y-%m-%dT%H:%M:%S.%L%Z"
        "%y-%m-%dT%H:%M:%S.%L%Z"
        "%Y-%m-%dT%H:%M:%S%z"
        "%Y-%m-%dT%H:%M:%S%z"
        "%Y-%m-%dT%H:%M:%S"
        "%Y-%m-%dT%H:%M"
        "%Y/%m/%d %H:%M:%S %z"
        "%Y/%m/%d %H:%M:%S%z"
        "%Y/%m/%d %H:%M:%S.%f%z"
        "%Y/%m/%d %H:%M:%S.%f%Z"
        "%Y/%m/%d %H:%M:%S.%f %z"
        "%Y/%m/%d %H:%M:%S.%f %Z"
        "%Y/%m/%d %H:%M:%S.%f"
        "%Y/%m/%d %H:%M:%S.%L"
        "%Y/%m/%d %H:%M:%S"
        "%Y/%m/%d %H:%M"
        "%Y %b %d %a %H:%M:%S.%L"
        "%Y %b %d %H:%M:%S.%L"
        "%Y %b %d %H:%M:%S"
        "%a %b %d %H:%M:%S %Y"
        "%a %b %d %H:%M:%S.%f %Y"
        "%a %b %d %H:%M:%S:%f %Y"
        "%a %b %d %H:%M:%S %Z %Y"
        "%a %b %d %I:%M:%S %p %Z %Y"
        "%a %b %d %H:%M:%S "
        "%a %b %d %H:%M:%S.%L "
        "%a %b %d %H:%M "
        "%a %b %e %H:%M:%S %Z %Y"
        "%d/%b/%Y:%H:%M:%S %z"
        "%d-%b-%Y %H:%M:%S %z"
        "%d-%b-%Y %H:%M:%S %Z"
        "%d %b %Y %H:%M:%S"
        "%d %b %Y %H:%M:%S.%L%z"
        "%d %b %Y %H:%M:%S,%L%z"
        "%d %b %Y %H:%M:%S.%L"
        "%d %b %Y %H:%M:%S,%L"
        "%d %b %Y %H:%M"
        "%b-%d %H:%M:%S"
        "%b %d %H:%M:%S"
        "%b %d %k:%M:%S"
        "%b %d %l:%M:%S"
        "%b %d %l:%M"
        "%b %e, %Y %l:%M:%S %p"
        "%b %d, %Y %l:%M:%S %p"
        "%m/%d/%Y %I:%M:%S:%L %p %Z"
        "%m/%d/%Y %I:%M:%S %p %Z"
        "%m/%d/%Y %l:%M:%S %p %Z"
        "%m/%d/%Y %I:%M:%S %p%z"
        "%m/%d/%Y %l:%M:%S %p%z"
        "%m/%e/%Y %l:%M:%S %p%z"
        "%m/%e/%Y %l:%M:%S %p %z"
        "%m/%e/%Y %I:%M:%S %p"
        "%m/%e/%Y %l:%M:%S%p"
        "%m/%d/%y %H:%M:%S"
        "%m/%d/%Y %H:%M:%S"
        "%d/%b/%Y %H:%M:%S"
        "%d/%b/%y %H:%M:%S"
        "%m%d %H:%M:%S"
        "%Y%m%d %H:%M:%S"
        "%Y%m%d.%H%M%S"
        "%H:%M:%S"
        "%H:%M:%S.%f"
        "%M:%S"
        "%m/%d %H:%M:%S"
        "%Y-%m-%d"
        "%Y-%m"
        "%Y/%m/%d"
        "%Y/%m"
        "%s.%f"

)

set(GEN_SRCS "")

add_custom_command(OUTPUT time_fmts.cc COMMAND ptimec ${TIME_FORMATS} >
        time_fmts.cc)

add_library(lnavdt STATIC config.h.in ptimec.hh ptimec_rt.cc time_fmts.cc)
target_include_directories(lnavdt PUBLIC . ${CMAKE_CURRENT_BINARY_DIR} third-party/date/include)

function(bin2c)
    cmake_parse_arguments(BIN2C_ "" "VARNAME" "" ${ARGN})

    list(TRANSFORM BIN2C_UNPARSED_ARGUMENTS "\\." "-")
    add_custom_command(
            OUTPUT "${DST_FILE}.h" "${DST_FILE}.cc"
            COMMAND bin2c "${DST_FILE}" "${CMAKE_CURRENT_SOURCE_DIR}/${FILE_TO_LINK}"
            DEPENDS bin2c "${FILE_TO_LINK}")
endfunction(bin2c)

foreach (FILE_TO_LINK animals.json ansi-palette.json css-color-names.json diseases.json emojis.json xml-entities.json xterm-palette.json help.txt help.md init.sql words.json)
    string(REPLACE "." "-" DST_FILE "${FILE_TO_LINK}")
    add_custom_command(
            OUTPUT "${DST_FILE}.h" "${DST_FILE}.cc"
            COMMAND bin2c "${DST_FILE}" "${CMAKE_CURRENT_SOURCE_DIR}/${FILE_TO_LINK}"
            DEPENDS bin2c "${FILE_TO_LINK}")
    list(APPEND GEN_SRCS "${CMAKE_CURRENT_BINARY_DIR}/${DST_FILE}.h"
            "${CMAKE_CURRENT_BINARY_DIR}/${DST_FILE}.cc")
endforeach (FILE_TO_LINK)

set(FORMAT_FILES
        formats/access_log.json
        formats/alb_log.json
        formats/block_log.json
        formats/bunyan_log.json
        formats/candlepin_log.json
        formats/choose_repo_log.json
        formats/cloudflare_log.json
        formats/cloudvm_ram_log.json
        formats/cups_log.json
        formats/dpkg_log.json
        formats/elb_log.json
        formats/engine_log.json
        formats/error_log.json
        formats/esx_syslog_log.json
        formats/fsck_hfs_log.json
        formats/github_events_log.json
        formats/glog_log.json
        formats/haproxy_log.json
        formats/java_log.json
        formats/journald_json_log.json
        formats/katello_log.json
        formats/lnav_debug_log.json
        formats/nextcloud_log.json
        formats/nextflow_log.json
        formats/openam_log.json
        formats/openamdb_log.json
        formats/openstack_log.json
        formats/page_log.json
        formats/pcap_log.json
        formats/procstate_log.json
        formats/redis_log.json
        formats/snaplogic_log.json
        formats/sssd_log.json
        formats/strace_log.json
        formats/sudo_log.json
        formats/syslog_log.json
        formats/s3_log.json
        formats/tcf_log.json
        formats/tcsh_history.json
        formats/unifi_log.json
        formats/uwsgi_log.json
        formats/vdsm_log.json
        formats/vmk_log.json
        formats/vmw_log.json
        formats/vmw_vc_svc_log.json
        formats/vmw_py_log.json
        formats/vpostgres_log.json
        formats/xmlrpc_log.json
        formats/zookeeper_log.json
)

set(FORMAT_FILE_PATHS ${FORMAT_FILES})

list(TRANSFORM FORMAT_FILE_PATHS PREPEND "${CMAKE_CURRENT_SOURCE_DIR}/")

add_custom_command(
        OUTPUT default-formats.h default-formats.cc
        COMMAND bin2c -n lnav_format_json default-formats ${FORMAT_FILE_PATHS}
        DEPENDS bin2c ${FORMAT_FILES})
list(APPEND GEN_SRCS default-formats.h default-formats.cc)

set(PRQL_FILES
        prql/stats.prql
        prql/utils.prql)

set(PRQL_FILE_PATHS ${PRQL_FILES})

list(TRANSFORM PRQL_FILE_PATHS PREPEND "${CMAKE_CURRENT_SOURCE_DIR}/")

add_custom_command(
        OUTPUT prql-modules.h prql-modules.cc
        COMMAND bin2c -n lnav_prql_modules prql-modules ${PRQL_FILE_PATHS}
        DEPENDS bin2c ${PRQL_FILES})
list(APPEND GEN_SRCS prql-modules.h prql-modules.cc)

set(CONFIG_FILES
        root-config.json
        keymaps/de-keymap.json
        keymaps/default-keymap.json
        keymaps/fr-keymap.json
        keymaps/uk-keymap.json
        keymaps/us-keymap.json
        themes/default-theme.json
        themes/grayscale.json
        themes/eldar.json
        themes/monocai.json
        themes/night-owl.json
        themes/solarized-dark.json
        themes/solarized-light.json)

set(CONFIG_FILE_PATHS ${CONFIG_FILES})

list(TRANSFORM CONFIG_FILE_PATHS PREPEND "${CMAKE_CURRENT_SOURCE_DIR}/")

add_custom_command(
        OUTPUT default-config.h default-config.cc
        COMMAND bin2c -n lnav_config_json default-config ${CONFIG_FILE_PATHS}
        DEPENDS bin2c ${CONFIG_FILES})
list(APPEND GEN_SRCS default-config.h default-config.cc)

set(BUILTIN_LNAV_SCRIPTS
        scripts/dhclient-summary.lnav
        scripts/docker-url-handler.lnav
        scripts/journald-url-handler.lnav
        scripts/lnav-pop-view.lnav
        scripts/partition-by-boot.lnav
        scripts/piper-url-handler.lnav
        scripts/rename-stdin.lnav
        scripts/search-for.lnav
)

set(BUILTIN_LNAV_SCRIPT_PATHS ${BUILTIN_LNAV_SCRIPTS})

list(TRANSFORM BUILTIN_LNAV_SCRIPT_PATHS PREPEND "${CMAKE_CURRENT_SOURCE_DIR}/")

add_custom_command(
        OUTPUT builtin-scripts.h builtin-scripts.cc
        COMMAND bin2c -n lnav_scripts builtin-scripts ${BUILTIN_LNAV_SCRIPT_PATHS}
        DEPENDS bin2c ${BUILTIN_LNAV_SCRIPTS})
list(APPEND GEN_SRCS builtin-scripts.h builtin-scripts.cc)

set(BUILTIN_SH_SCRIPTS scripts/com.vmware.btresolver.py scripts/dump-pid.sh scripts/pcap_log-converter.sh)

set(BUILTIN_SH_SCRIPT_PATHS ${BUILTIN_SH_SCRIPTS})

list(TRANSFORM BUILTIN_SH_SCRIPT_PATHS PREPEND "${CMAKE_CURRENT_SOURCE_DIR}/")

add_custom_command(
        OUTPUT builtin-sh-scripts.h builtin-sh-scripts.cc
        COMMAND bin2c -n lnav_sh_scripts builtin-sh-scripts ${BUILTIN_SH_SCRIPT_PATHS}
        DEPENDS bin2c ${BUILTIN_SH_SCRIPTS})
list(APPEND GEN_SRCS builtin-sh-scripts.h builtin-sh-scripts.cc)

add_library(
        cppfmt STATIC
        fmtlib/format.cc
        fmtlib/os.cc
        fmtlib/fmt/args.h
        fmtlib/fmt/chrono.h
        fmtlib/fmt/color.h
        fmtlib/fmt/compile.h
        fmtlib/fmt/core.h
        fmtlib/fmt/format-inl.h
        fmtlib/fmt/format.h
        fmtlib/fmt/locale.h
        fmtlib/fmt/os.h
        fmtlib/fmt/ostream.h
        fmtlib/fmt/printf.h
        fmtlib/fmt/ranges.h
        fmtlib/fmt/std.h
        fmtlib/fmt/xchar.h
)
target_include_directories(cppfmt PUBLIC fmtlib)

add_library(
        datepp STATIC
        third-party/date/src/tz.cpp
)
target_include_directories(datepp PUBLIC third-party/date/include)
target_link_libraries(datepp ${lnav_LIBS})

add_library(
        cppscnlib STATIC
        third-party/scnlib/src/reader_float.cpp
        third-party/scnlib/src/reader_int.cpp
        third-party/scnlib/src/locale.cpp
        third-party/scnlib/src/file.cpp
        third-party/scnlib/src/vscan.cpp

        third-party/scnlib/include/scn/reader/reader.h
        third-party/scnlib/include/scn/reader/float.h
        third-party/scnlib/include/scn/reader/types.h
        third-party/scnlib/include/scn/reader/int.h
        third-party/scnlib/include/scn/reader/common.h
        third-party/scnlib/include/scn/reader/string.h
        third-party/scnlib/include/scn/ranges/custom_impl.h
        third-party/scnlib/include/scn/ranges/std_impl.h
        third-party/scnlib/include/scn/ranges/ranges.h
        third-party/scnlib/include/scn/ranges/util.h
        third-party/scnlib/include/scn/fwd.h
        third-party/scnlib/include/scn/util/algorithm.h
        third-party/scnlib/include/scn/util/small_vector.h
        third-party/scnlib/include/scn/util/optional.h
        third-party/scnlib/include/scn/util/expected.h
        third-party/scnlib/include/scn/util/array.h
        third-party/scnlib/include/scn/util/unique_ptr.h
        third-party/scnlib/include/scn/util/math.h
        third-party/scnlib/include/scn/util/memory.h
        third-party/scnlib/include/scn/util/span.h
        third-party/scnlib/include/scn/util/meta.h
        third-party/scnlib/include/scn/util/string_view.h
        third-party/scnlib/include/scn/unicode/unicode.h
        third-party/scnlib/include/scn/unicode/common.h
        third-party/scnlib/include/scn/unicode/utf16.h
        third-party/scnlib/include/scn/unicode/utf8.h
        third-party/scnlib/include/scn/all.h
        third-party/scnlib/include/scn/tuple_return/tuple_return.h
        third-party/scnlib/include/scn/tuple_return/util.h
        third-party/scnlib/include/scn/scan/ignore.h
        third-party/scnlib/include/scn/scan/getline.h
