=== debian/changelog ===
lnav (0.12.3-2) unstable; urgency=medium

  * Revert NMU upload: The support patch for loong64 is not actually applied.

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 06 Mar 2025 13:22:31 +0100

lnav (0.12.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Dandan Zhang ]
  * Add support for loong64 (Closes: #1098244)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 06 Mar 2025 12:57:21 +0100

lnav (0.12.3-1) unstable; urgency=medium

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 24 Nov 2024 17:31:04 +0100

lnav (0.12.3-1~exp1) experimental; urgency=medium

  * New upstream version 0.12.3
  * [tests] Substitute prefix path to lnav -nf sample in expected help text

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 24 Nov 2024 16:07:21 +0100
