=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Produce no debug information for mipsel builds
# to avoid FTBFS due to running out of memory,
# cf. #1021665
ifneq (,$(filter $(DEB_HOST_ARCH), mipsel))
	export DEB_CXXFLAGS_MAINT_APPEND = -g0
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-static

override_dh_installchangelogs:
	dh_installchangelogs NEWS.md
