## lnav 0.12.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 set(CMAKE_CXX_STANDARD 17)
 project(
         lnav
-        VERSION 0.12.3
+        VERSION 0.12.4
         DESCRIPTION "An advanced log file viewer for the terminal."
         HOMEPAGE_URL "https://lnav.org/"
         LANGUAGES CXX C
@@ -34,6 +34,7 @@
         PkgConfig::readline
         LibArchive::LibArchive
         ZLIB::ZLIB
+        ${VCPKG_INSTALLED_DIR}/${VCPKG_TARGET_TRIPLET}/lib/libunistring.a
 )
 
 add_subdirectory(src)
