=== docs/requirements.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 furo
 sphinx>=4.3.0
+sphinxcontrib-lightbox2
 sphinx-copybutton
 sphinx-jsonschema
 sphinx-prompt
