=== release/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-VERSION=0.12.3
+VERSION=0.12.4
 
 VERSION_TAG=v$(VERSION)
