=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,11 +3,14 @@
 include(CheckLibraryExists)
 include(CheckFunctionExists)
 
+add_compile_definitions(_GNU_SOURCE)
+
 check_type_size(off_t SIZEOF_OFF_T)
 
 check_include_file("pty.h" HAVE_PTY_H)
 check_include_file("util.h" HAVE_UTIL_H)
 check_include_file("execinfo.h" HAVE_EXECINFO_H)
+check_include_file("libproc.h" HAVE_LIBPROC_H)
 
 set(VCS_PACKAGE_STRING "lnav ${CMAKE_PROJECT_VERSION}")
 set(PACKAGE_VERSION "${CMAKE_PROJECT_VERSION}")
@@ -25,7 +28,7 @@
 add_executable(bin2c bin2c.hh ../tools/bin2c.c)
 target_link_libraries(bin2c ZLIB::ZLIB)
 
-add_executable(ptimec ptimec.hh ptimec.c)
+add_executable(ptimec ptimec.hh ptimec.cc)
 
 set(TIME_FORMATS
         "@%@"
@@ -86,6 +89,7 @@
         "%a %b %d %H:%M:%S.%L "
         "%a %b %d %H:%M "
         "%a %b %e %H:%M:%S %Z %Y"
+        "%d/%m/%y %H:%M:%S"
         "%d/%b/%Y:%H:%M:%S %z"
         "%d-%b-%Y %H:%M:%S %z"
         "%d-%b-%Y %H:%M:%S %Z"
@@ -115,7 +119,9 @@
         "%m/%d/%Y %H:%M:%S"
         "%d/%b/%Y %H:%M:%S"
         "%d/%b/%y %H:%M:%S"
+        "%m.%d %H:%M:%S"
         "%m%d %H:%M:%S"
+        "%y%m%d %H%M%S"
         "%Y%m%d %H:%M:%S"
         "%Y%m%d.%H%M%S"
         "%H:%M:%S"
@@ -132,8 +138,10 @@
 
 set(GEN_SRCS "")
 
-add_custom_command(OUTPUT time_fmts.cc COMMAND ptimec ${TIME_FORMATS} >
-        time_fmts.cc)
+add_custom_command(
+        OUTPUT time_fmts.cc
+        DEPENDS ptimec
+        COMMAND ptimec ${TIME_FORMATS} > time_fmts.cc)
 
 add_library(lnavdt STATIC config.h.in ptimec.hh ptimec_rt.cc time_fmts.cc)
 target_include_directories(lnavdt PUBLIC . ${CMAKE_CURRENT_BINARY_DIR} third-party/date/include)
@@ -169,6 +177,7 @@
         formats/cloudvm_ram_log.json
         formats/cups_log.json
         formats/dpkg_log.json
+        formats/ecs_log.json
         formats/elb_log.json
         formats/engine_log.json
         formats/error_log.json
@@ -189,6 +198,7 @@
         formats/page_log.json
         formats/pcap_log.json
         formats/procstate_log.json
+        formats/proxifier_log.json
         formats/redis_log.json
         formats/snaplogic_log.json
         formats/sssd_log.json
@@ -262,12 +272,18 @@
 set(BUILTIN_LNAV_SCRIPTS
         scripts/dhclient-summary.lnav
         scripts/docker-url-handler.lnav
+        scripts/find-msg.lnav
+        scripts/find-chained-msg.lnav
         scripts/journald-url-handler.lnav
+        scripts/lnav-copy-text.lnav
+        scripts/lnav-link-callback.lnav
         scripts/lnav-pop-view.lnav
         scripts/partition-by-boot.lnav
         scripts/piper-url-handler.lnav
         scripts/rename-stdin.lnav
+        scripts/report-access-log.lnav
         scripts/search-for.lnav
+        scripts/zk-set-ops.lnav
 )
 
 set(BUILTIN_LNAV_SCRIPT_PATHS ${BUILTIN_LNAV_SCRIPTS})
@@ -280,7 +296,12 @@
         DEPENDS bin2c ${BUILTIN_LNAV_SCRIPTS})
 list(APPEND GEN_SRCS builtin-scripts.h builtin-scripts.cc)
 
-set(BUILTIN_SH_SCRIPTS scripts/com.vmware.btresolver.py scripts/dump-pid.sh scripts/pcap_log-converter.sh)
+set(BUILTIN_SH_SCRIPTS
+        scripts/com.vmware.btresolver.py
+        scripts/dump-pid.sh
+        scripts/pcap_log-converter.sh
+        scripts/zookeeper.sql
+)
 
 set(BUILTIN_SH_SCRIPT_PATHS ${BUILTIN_SH_SCRIPTS})
 
@@ -322,40 +343,40 @@
 
 add_library(
         cppscnlib STATIC
-        third-party/scnlib/src/reader_float.cpp
-        third-party/scnlib/src/reader_int.cpp
-        third-party/scnlib/src/locale.cpp
-        third-party/scnlib/src/file.cpp
-        third-party/scnlib/src/vscan.cpp
-
-        third-party/scnlib/include/scn/reader/reader.h
-        third-party/scnlib/include/scn/reader/float.h
-        third-party/scnlib/include/scn/reader/types.h
-        third-party/scnlib/include/scn/reader/int.h
-        third-party/scnlib/include/scn/reader/common.h
-        third-party/scnlib/include/scn/reader/string.h
-        third-party/scnlib/include/scn/ranges/custom_impl.h
-        third-party/scnlib/include/scn/ranges/std_impl.h
-        third-party/scnlib/include/scn/ranges/ranges.h
-        third-party/scnlib/include/scn/ranges/util.h
+        third-party/scnlib/src/scn/impl.cpp
+        third-party/scnlib/src/scn/impl.h
+
         third-party/scnlib/include/scn/fwd.h
-        third-party/scnlib/include/scn/util/algorithm.h
-        third-party/scnlib/include/scn/util/small_vector.h
-        third-party/scnlib/include/scn/util/optional.h
-        third-party/scnlib/include/scn/util/expected.h
-        third-party/scnlib/include/scn/util/array.h
-        third-party/scnlib/include/scn/util/unique_ptr.h
-        third-party/scnlib/include/scn/util/math.h
-        third-party/scnlib/include/scn/util/memory.h
-        third-party/scnlib/include/scn/util/span.h
-        third-party/scnlib/include/scn/util/meta.h
-        third-party/scnlib/include/scn/util/string_view.h
-        third-party/scnlib/include/scn/unicode/unicode.h
-        third-party/scnlib/include/scn/unicode/common.h
-        third-party/scnlib/include/scn/unicode/utf16.h
-        third-party/scnlib/include/scn/unicode/utf8.h
-        third-party/scnlib/include/scn/all.h
-        third-party/scnlib/include/scn/tuple_return/tuple_return.h
-        third-party/scnlib/include/scn/tuple_return/util.h
-        third-party/scnlib/include/scn/scan/ignore.h
-        third-party/scnlib/include/scn/scan/getline.h
+        third-party/scnlib/include/scn/ranges.h
+        third-party/scnlib/include/scn/xchar.h
+        third-party/scnlib/include/scn/chrono.h
+        third-party/scnlib/include/scn/regex.h
+        third-party/scnlib/include/scn/istream.h
+        third-party/scnlib/include/scn/scan.h
+)
+target_include_directories(
+        cppscnlib PRIVATE
+        third-party/scnlib/src
+        third-party/scnlib/src/deps/fast_float/single_include)
+target_include_directories(cppscnlib PUBLIC third-party/scnlib/include)
+
+add_library(
+        base64 STATIC
+        third-party/base64/lib/lib.c
+        third-party/base64/lib/arch/generic/codec.c
+        third-party/base64/lib/tables/tables.c
+)
+target_include_directories(base64 PRIVATE third-party/base64/lib)
+target_include_directories(base64 PUBLIC third-party/base64/include)
+
+add_library(
+        lnavnotcurses STATIC
+        third-party/notcurses/src/compat/compat.c
+        third-party/notcurses/src/lib/automaton.c
+        third-party/notcurses/src/lib/blit.c
+        third-party/notcurses/src/lib/debug.c
+        third-party/notcurses/src/lib/direct.c
+        third-party/notcurses/src/lib/fade.c
+        third-party/notcurses/src/lib/fd.c
+        third-party/notcurses/src/lib/fill.c
+        third-party/notcurses/src/lib/gpm.c
