=== test/CMakeLists.txt ===
--- 
+++ 
@@ -71,17 +71,26 @@
 target_link_libraries(test_text_anonymizer diag)
 add_test(NAME test_text_anonymizer COMMAND test_text_anonymizer)
 
+add_executable(drive_readline_curses drive_readline_curses.cc test_stubs.cc)
+target_link_libraries(drive_readline_curses diag)
+
 add_executable(drive_view_colors drive_view_colors.cc test_stubs.cc)
 target_link_libraries(drive_view_colors diag)
 
 add_executable(drive_vt52_curses drive_vt52_curses.cc test_stubs.cc)
 target_link_libraries(drive_vt52_curses diag)
 
+add_executable(drive_listview drive_listview.cc test_stubs.cc)
+target_link_libraries(drive_listview diag)
+
 add_executable(drive_logfile drive_logfile.cc test_stubs.cc)
 target_link_libraries(drive_logfile diag)
 
 add_executable(drive_sql_anno drive_sql_anno.cc test_stubs.cc)
 target_link_libraries(drive_sql_anno diag)
+
+add_executable(drive_textinput drive_textinput.cc test_stubs.cc)
+target_link_libraries(drive_textinput diag)
 
 add_executable(drive_data_scanner drive_data_scanner.cc test_stubs.cc)
 target_link_libraries(drive_data_scanner diag logfmt)
