=== src/base/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
         attr_line.builder.cc
         auto_fd.cc
         auto_pid.cc
+        cell_container.cc
         color_spaces.cc
         date_time_scanner.cc
         fs_util.cc
@@ -35,6 +36,7 @@
         auto_mem.hh
         auto_pid.hh
         bus.hh
+        cell_container.hh
         color_spaces.hh
         date_time_scanner.cfg.hh
         date_time_scanner.hh
@@ -57,6 +59,7 @@
         line_range.hh
         lnav.console.hh
         lnav.console.into.hh
+        lnav.resolver.hh
         log_level_enum.hh
         lrucache.hpp
         map_util.hh
@@ -70,7 +73,6 @@
         strnatcmp.h
         time_util.hh
         types.hh
-        wcwidth9.h
 
         ../third-party/xxHash/xxhash.h
         ../third-party/xxHash/xxhash.c
@@ -78,20 +80,22 @@
 
 target_include_directories(base PUBLIC . .. ../third-party
         ../third-party/date/include
-        ${CURSES_INCLUDE_DIRS}
-        ${CMAKE_CURRENT_BINARY_DIR}/..)
+        ${CMAKE_CURRENT_BINARY_DIR}/..
+)
 target_link_libraries(base
         cppfmt
         cppscnlib
         pcrepp
-        ${CURSES_LIBRARIES}
         pthread
         lnavdt
-        datepp)
+        lnavnotcurses
+        datepp
+)
 
 add_executable(
         test_base
         attr_line.tests.cc
+        cell_container.tests.cc
         fs_util.tests.cc
         humanize.file_size.tests.cc
         humanize.network.tests.cc
