=== debian/changelog ===
lnav (0.12.4-2) unstable; urgency=medium

  * Upload to unstable
  * debian/watch: Convert to uscan version 5

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 20 Sep 2025 17:35:51 +0200

lnav (0.12.4-2~exp1) experimental; urgency=medium

  * [notcurses] handle failure to set cregs from tmux (Closes: #1109004)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 29 Jul 2025 19:38:42 +0200

lnav (0.12.4-1) unstable; urgency=medium

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 23 Mar 2025 20:37:34 +0100

lnav (0.12.4-1~exp3) experimental; urgency=medium

  * Correct disabling of test_sql_json_func.sh test

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 23 Mar 2025 16:38:45 +0100

lnav (0.12.4-1~exp2) experimental; urgency=medium

  * Add loongarch64 support (Closes: #1098244)
  * Disable broken test_sql_indexes.sh test
  * Declare compliance with Debian policy 4.7.2

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 23 Mar 2025 15:41:00 +0100

lnav (0.12.4-1~exp1) experimental; urgency=medium

  * New upstream version 0.12.4
  * debian/control: Add Build-Depends on libunistring-dev
  * Update copyright years for upstream files
  * Update copyright years for debian/* packaging files
  * Disable test_cmds.sh test

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 18 Feb 2025 20:29:10 +0100
