=== debian/watch ===
Version: 5
Source: https://github.com/tstack/@PACKAGE@/tags
Matching-Pattern: (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
Filenamemangle: s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%
Uversionmangle: s|-rc|~rc|
