## lnav 0.13.2

=== debian/changelog ===
lnav (0.13.2-1~exp1) experimental; urgency=medium

  * New upstream version 0.13.2
  * lnav/docs: Install help.md instead of dropped help.txt into docs
  * debian/control: Drop Build-Depends on libncurses-dev
  * Revert "Produce no debug information for mipsel builds" (mipsel not
    anymore in Debian)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 29 Nov 2025 17:53:30 +0100
