=== debian/control ===
--- 
+++ 
@@ -8,16 +8,16 @@
  libbz2-dev,
  libcurl4-gnutls-dev,
  libgpm-dev,
- libncurses-dev,
  libpcre2-dev,
  libreadline-dev,
  libsqlite3-dev,
+ libunistring-dev,
  openssh-client,
  re2c,
  tzdata,
  zlib1g-dev,
  xz-utils
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://lnav.org
 Vcs-Browser: https://salsa.debian.org/carnil/lnav
 Vcs-Git: https://salsa.debian.org/carnil/lnav.git
